-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #  File Information: Common/src/tedw_app/amx/fixpack2/cdw/ddl/amx_cdw_schema.sql, tmnt_etl, tmnt_5.1.1_FP04
-- #  Revision: 1.3
-- #  Date: 12/12/02 08:54:35
-- ############################################################################

--#iftag fixpack_400

-- ///////////////////////////////////////////////////////////////////////////////
-- the following statements are from fixpack1 because fixpack2 supercedes fixpack1
-- ///////////////////////////////////////////////////////////////////////////////
CREATE TABLE AMX.Stage_InstKey_No_Ex (
 ITM_KEY       VARCHAR(254) NOT NULL,
 PROPERTY_VAL  VARCHAR(254) NOT NULL,
 IID           BIGINT       NOT NULL,
 EID           INTEGER      NOT NULL,
 RCID          BIGINT       NOT NULL,
 COMPTYP_CD    VARCHAR(17)  NOT NULL,
   PRIMARY KEY (IID, EID, RCID, PROPERTY_VAL, COMPTYP_CD, ITM_KEY)
);

CREATE TABLE AMX.Stage_Attr_No_Ex(
 COMPTYP_CD    VARCHAR(17)  NOT NULL,
 ATTRTYP_CD    VARCHAR(17)  NOT NULL,
 ATTR_ITM      VARCHAR(254) NOT NULL,
 ATTR_VAL      VARCHAR(254),
 TIMEKEY_DTTM  TIMESTAMP    NOT NULL,
 IID           BIGINT       NOT NULL,
 RCID          BIGINT       NOT NULL,
 EID           INTEGER      NOT NULL,
   PRIMARY KEY (ATTRTYP_CD, ATTR_ITM, TIMEKEY_DTTM, IID, RCID, EID)
);
-- ///////////////////////////////////////////////////////////////////////////////

--#endtag fixpack_400
