############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/Insert_msmt.pl, tmnt_etl, tmnt_5.1.1, 511ITM04C
#   Revision: 1.1
#   Date: 11/25/02 17:35:49
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$PAC = $ARGV [3];
$FROM_TABLE = $ARGV [4]; 
$WHERE_CLAUSE = $ARGV [5]; 



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__PAC/$PAC/g;
  $line =~ s/__FROM_TABLE/$FROM_TABLE/g;
  $line =~ s/__WHERE_CLAUSE/$WHERE_CLAUSE/g;
  print OUTDAT $line;
}
close(OUTDAT);

