-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #  File Information: Common/src/tedw_app/amy/fixpack2/etl/sql/AMY_m05_s010_deleteStarSchema.db2, tmnt_etl, tmnt_5.1.1, 511ITM04C
-- #  Revision: 1.1
-- #  Date: 11/13/02 10:07:41
-- ############################################################################

--
-- Delete the Fact Table at TWH_MART database	
--
--#EXECUTE_AT_TARGET
DELETE FROM AMY.F_OS_HOUR
;
--
-- Delete the Metric Dimension Table at TWH_MART database	
--
--#EXECUTE_AT_TARGET
DELETE FROM AMY.D_ITM_METRIC
;
--
-- Delete the Component Dimension Table at TWH_MART database	
--
--#EXECUTE_AT_TARGET
DELETE FROM AMY.D_HOST
;
--
-- Reset the Extract_Control table at TWH_CDW database	
--
update TWG.Extract_Control
   set ExtCtl_From_RawSeq  = x'',
       ExtCtl_To_RawSeq    = x'',
       ExtCtl_From_IntSeq  = -1,
       ExtCtl_To_IntSeq    = -1,
       ExtCtl_From_DtTm    = '1970-01-01-00.00.00.000000',
       ExtCtl_To_DtTm      = '9999-01-01-00.00.00.000000'
 where ExtCtl_Source in ('AMY.STAGE_D_ITM_METRIC','TWG.MSMT','TWG.COMP')  and
       ExtCtl_Target in ('AMY.D_ITM_METRIC','AMY.F_OS_HOUR','AMY.D_HOST')
;
