############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/Insert_comp_level1.pl, tmnt_etl, tmnt_5.1.1, 511ITM04C
#   Revision: 1.1
#   Date: 11/25/02 17:35:26
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$COMP_CORR_VAL =$ARGV [3];
$COMP_NM =$ARGV [4];
$FROM_TABLE =$ARGV [5];
$WHERE_CLAUSE =$ARGV [6];
$GROUPBY =$ARGV [7];
$STAGE2_FROM_TABLE = $ARGV [8];
$STAGE2_WHERE_CLAUSE = $ARGV [9];
$PAC=$ARGV [10];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_NM/$COMP_NM/g;
  $line =~ s/__FROM_TABLE/$FROM_TABLE/g;
  $line =~ s/__WHERE_CLAUSE/$WHERE_CLAUSE/g;
  $line =~ s/__GROUPBY/$GROUPBY/g;
  $line =~ s/__STAGE2_FROM_TABLE/$STAGE2_FROM_TABLE/g;
  $line =~ s/__STAGE2_WHERE_CLAUSE/$STAGE2_WHERE_CLAUSE/g;
  $line =~ s/__PAC/$PAC/g;
  print OUTDAT $line;
}
close(OUTDAT);

